## hubzero-cms-2.1.0 2.1.0.1

=== Makefile ===
# @package      hubzero-cms-2.1.0
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHARE=$(DESTDIR)/usr/share

all:
	@true

vendor:
	(COMPOSER_VENDOR_DIR=$(PWD)/vendor; cms/core/bin/composer --working-dir=cms/core install)

cms:
	(cd cms; git pull --ff-only)

install:
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.1.0
	cp -r cms $(USRSHARE)/hubzero-cms-2.1.0
	rm -fr $(USRSHARE)/hubzero-cms-2.1.0/cms/.git
	cp -r vendor  $(USRSHARE)/hubzero-cms-2.1.0/cms/core
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D logrotate-cmsprofile.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
	install --mode 0644 -D hub.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean vendor cms

## hubzero-cms-2.1.0 2.1.0.2

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	cp -r cms $(USRSHARE)/hubzero-cms-2.1.0
 	rm -fr $(USRSHARE)/hubzero-cms-2.1.0/cms/.git
 	cp -r vendor  $(USRSHARE)/hubzero-cms-2.1.0/cms/core
+	(cd  $(USRSHARE)/hubzero-cms-2.1.0/cms/core; bin/composer dumpautoload)
 	install --mode 0755 -d $(USRSHARE)/hubzero-cms-2.1.0/conf
 	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf
 	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-cms-2.1.0/conf

## hubzero-cms-2.1.0 2.1.0.5

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	@true
 
 vendor:
-	(COMPOSER_VENDOR_DIR=$(PWD)/vendor; cms/core/bin/composer --working-dir=cms/core install)
+	(COMPOSER_VENDOR_DIR=$(PWD)/vendor cms/core/bin/composer --working-dir=cms/core install)
 
 cms:
 	(cd cms; git pull --ff-only)

## hubzero-cms-2.1.0 2.1.5.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.5.0-1+deb7) unstable; urgency=low

  * upstream 2.1.5 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Apr 2017 10:48:22 -0400

hubzero-cms-2.1.0 (2.1.4.0-1) unstable; urgency=low

  * upstream 2.1.4 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 06 Mar 2017 10:57:13 -0500

hubzero-cms-2.1.0 (2.1.3.0-1) unstable; urgency=low

  * upstream 2.1.3 point release

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Mon, 13 Feb 2017 14:23:57 -0500

hubzero-cms-2.1.0 (2.1.2.0-1) unstable; urgency=low

  * upstream; 2.1.2 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Jan 2017 13:10:42 -0500

hubzero-cms-2.1.0 (2.1.1.4-1) unstable; urgency=low

  * upstream; general cms update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 11:20:41 -0500

hubzero-cms-2.1.0 (2.1.1.3-1) unstable; urgency=low

  * fix timezone database update
  * upstream; general cms update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 16 Nov 2016 14:48:13 -0500

hubzero-cms-2.1.0 (2.1.1.2-1) unstable; urgency=low

  * upstream; general cms update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Nov 2016 13:18:22 -0500

hubzero-cms-2.1.0 (2.1.0.19-1) unstable; urgency=low

  * fix flavorizer to update template redirect more correctly

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Oct 2016 15:43:19 -0400

hubzero-cms-2.1.0 (2.1.0.18-1) unstable; urgency=low

  * fix flavorizer to update template redirect correctly
  * upstream; general cms update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Oct 2016 09:40:50 -0400

hubzero-cms-2.1.0 (2.1.0.17-1) unstable; urgency=low

  * fix version number in welcome template
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 15:43:50 -0400

hubzero-cms-2.1.0 (2.1.0.16-1) unstable; urgency=low

  * remove rpm autodependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Oct 2016 10:14:58 -0400

hubzero-cms-2.1.0 (2.1.0.15-1) unstable; urgency=low

  * fix empty password fields resulting from upgrade of old hub
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Oct 2016 15:38:43 -0400

hubzero-cms-2.1.0 (2.1.0.14-1) unstable; urgency=low

  * upstream; truncate old session_log table
  * upstream; fix bad template path in older templates
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Oct 2016 11:23:37 -0400

hubzero-cms-2.1.0 (2.1.0.13-1) unstable; urgency=low

  * upstream; fix amazonfull flavorizer typo
  * upstream; migration to fix bad profile field settings
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Oct 2016 15:35:44 -0400

hubzero-cms-2.1.0 (2.1.0.11-1) unstable; urgency=low

  * upstream; fix amazonfull flavorizer to show tool dashboard modules
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Oct 2016 15:30:39 -0400

hubzero-cms-2.1.0 (2.1.0.10-1) unstable; urgency=low

  * upstream; another migration fix for when upgrading old hubs
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Sep 2016 13:46:19 -0400

hubzero-cms-2.1.0 (2.1.0.9-1) unstable; urgency=low

  * upstream; general cms updates
  * provides hubzero-cms virtual package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 10:42:40 -0400

hubzero-cms-2.1.0 (2.1.0.8-1) unstable; urgency=low

  * upstream; more fixes to project notes attachments
  * upstream; more migrations for updating older hubs
  * upstream; general cms updates 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Sep 2016 12:13:41 -0400

hubzero-cms-2.1.0 (2.1.0.7-1) unstable; urgency=low

  * upstream; fix two more old migrations to run better under current cms
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Aug 2016 14:45:22 -0400

hubzero-cms-2.1.0 (2.1.0.6-1) unstable; urgency=low

  * upstream; fix project notes image attachments
  * upstream; fix old migrations to run under current cms
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 31 Aug 2016 10:15:15 -0400

hubzero-cms-2.1.0 (2.1.0.5-1) unstable; urgency=low

  * upstream; fix project notes url generation
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Aug 2016 17:33:53 -0400

hubzero-cms-2.1.0 (2.1.0.4-1) unstable; urgency=low

  * upstream; fix project notes migrations
  * upstream; fix project notes editing authorization
  * upstream; general cms updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 24 Aug 2016 15:49:01 -0400

hubzero-cms-2.1.0 (2.1.0.3-1) unstable; urgency=low

  * upstream; cms and framework updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Aug 2016 15:44:20 -0400

hubzero-cms-2.1.0 (2.1.0.2-1) unstable; urgency=low

  * upstream; make com_cart migration more robust
  * generate autoload file with composer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Aug 2016 14:07:56 -0400

hubzero-cms-2.1.0 (2.1.0.1-1) unstable; urgency=low

  * upstream; get missing migrations for upgrade process

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Aug 2016 16:24:37 -0400

hubzero-cms-2.1.0 (2.1.0.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Aug 2016 13:08:11 -0400

## hubzero-cms-2.1.0 2.1.5.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.5.0-1+deb8) unstable; urgency=low

  * upstream 2.1.5 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Apr 2017 10:48:22 -0400

## hubzero-cms-2.1.0 2.1.6.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.6.0-1+deb6) unstable; urgency=low

  * upstream 2.1.6 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 May 2017 14:42:02 +0000

hubzero-cms-2.1.0 (2.1.5.0-1) unstable; urgency=low

  * upstream 2.1.5 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Apr 2017 10:48:22 -0400

## hubzero-cms-2.1.0 2.1.6.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.6.0-1+deb7) unstable; urgency=low

  * upstream 2.1.6 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 May 2017 14:42:02 +0000

## hubzero-cms-2.1.0 2.1.6.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.6.0-1+deb8) unstable; urgency=low

  * upstream 2.1.6 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 May 2017 14:42:02 +0000

## hubzero-cms-2.1.0 2.1.7.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.7.0-1+deb6) unstable; urgency=low

  * upstream 2.1.7 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Jun 2017 13:46:06 -0400

hubzero-cms-2.1.0 (2.1.6.0-1) unstable; urgency=low

  * upstream 2.1.6 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 May 2017 10:42:02 -0400

## hubzero-cms-2.1.0 2.1.7.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.7.0-1+deb7) unstable; urgency=low

  * upstream 2.1.7 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Jun 2017 13:46:06 -0400

## hubzero-cms-2.1.0 2.1.7.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.7.0-1+deb8) unstable; urgency=low

  * upstream 2.1.7 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Jun 2017 13:46:06 -0400

## hubzero-cms-2.1.0 2.1.8.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.8.0-1+deb6) unstable; urgency=low

  * upstream 2.1.8 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Jul 2017 11:23:51 -0400

hubzero-cms-2.1.0 (2.1.7.1-1) unstable; urgency=low

  * hotfix missing argument in flavorizer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 27 Jun 2017 09:53:26 -0400

hubzero-cms-2.1.0 (2.1.7.0-1) unstable; urgency=low

  * upstream 2.1.7 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Jun 2017 13:46:06 -0400

## hubzero-cms-2.1.0 2.1.8.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.8.0-1+deb7) unstable; urgency=low

  * upstream 2.1.8 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Jul 2017 11:23:51 -0400

## hubzero-cms-2.1.0 2.1.8.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.8.0-1+deb8) unstable; urgency=low

  * upstream 2.1.8 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Jul 2017 11:23:51 -0400

## hubzero-cms-2.1.0 2.1.9.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.9.0-1+deb6) unstable; urgency=low

  * upstream 2.1.9 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Aug 2017 11:46:52 -0400

## hubzero-cms-2.1.0 2.1.9.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.9.0-1+deb7) unstable; urgency=low

  * upstream 2.1.9 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Aug 2017 11:46:52 -0400

## hubzero-cms-2.1.0 2.1.9.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.9.0-1+deb8) unstable; urgency=low

  * upstream 2.1.9 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Aug 2017 11:46:52 -0400

## hubzero-cms-2.1.0 2.1.10.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.10.0-1+deb6) unstable; urgency=low

  * upstream 2.1.10 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 01 Nov 2017 11:04:18 -0400

hubzero-cms-2.1.0 (2.1.9.0-1) unstable; urgency=low

  * upstream 2.1.9 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Aug 2017 11:46:52 -0400

## hubzero-cms-2.1.0 2.1.10.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.10.0-1+deb7) unstable; urgency=low

  * upstream 2.1.10 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 01 Nov 2017 11:04:18 -0400

## hubzero-cms-2.1.0 2.1.10.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.10.0-1+deb8) unstable; urgency=low

  * upstream 2.1.10 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 01 Nov 2017 11:04:18 -0400

## hubzero-cms-2.1.0 2.1.11.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.11.0-1+deb6) unstable; urgency=low

  * upstream 2.1.11 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 13:59:22 -0400

hubzero-cms-2.1.0 (2.1.10.0-1) unstable; urgency=low

  * upstream 2.1.10 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 01 Nov 2017 11:04:18 -0400

hubzero-cms-2.1.0 (2.1.8.0-1) unstable; urgency=low

  * upstream 2.1.8 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Jul 2017 11:23:51 -0400

## hubzero-cms-2.1.0 2.1.11.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.11.0-1+deb7) unstable; urgency=low

  * upstream 2.1.11 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 13:59:22 -0400

## hubzero-cms-2.1.0 2.1.11.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.11.0-1+deb8) unstable; urgency=low

  * upstream 2.1.11 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 13:59:22 -0400

## hubzero-cms-2.1.0 2.1.12.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.12.0-1+deb6) unstable; urgency=low

  * upstream 2.1.12 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:08:19 -0400

hubzero-cms-2.1.0 (2.1.11.0-1) unstable; urgency=low

  * upstream 2.1.11 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 13:59:22 -0400

## hubzero-cms-2.1.0 2.1.12.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.12.0-1+deb7) unstable; urgency=low

  * upstream 2.1.12 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:08:19 -0400

## hubzero-cms-2.1.0 2.1.12.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.12.0-1+deb8) unstable; urgency=low

  * upstream 2.1.12 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:08:19 -0400

## hubzero-cms-2.1.0 2.1.13.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.13.0-1+deb6) unstable; urgency=low

  * upstream 2.1.13 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:11:06 -0400

hubzero-cms-2.1.0 (2.1.12.0-1) unstable; urgency=low

  * upstream 2.1.12 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:08:19 -0400

## hubzero-cms-2.1.0 2.1.13.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.13.0-1+deb7) unstable; urgency=low

  * upstream 2.1.13 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.13.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.13.0-1+deb8) unstable; urgency=low

  * upstream 2.1.13 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.14.0-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.0-1+deb6) unstable; urgency=low

  * upstream 2.1.14 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 14:11:06 -0400

hubzero-cms-2.1.0 (2.1.13.0-1) unstable; urgency=low

  * upstream 2.1.13 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Dec 2017 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.14.0-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.0-1+deb7) unstable; urgency=low

  * upstream 2.1.14 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.14.0-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.0-1+deb8) unstable; urgency=low

  * upstream 2.1.14 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.14.1-1+deb6

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.1-1+deb6) unstable; urgency=low

  * upstream 2.1.14 update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jan 2018 11:14:21 -0400

hubzero-cms-2.1.0 (2.1.14.0-1) unstable; urgency=low

  * upstream 2.1.14 point release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Jan 2018 14:11:06 -0400

## hubzero-cms-2.1.0 2.1.14.1-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.1-1+deb7) unstable; urgency=low

  * upstream 2.1.14 update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jan 2018 11:14:21 -0400

## hubzero-cms-2.1.0 2.1.14.1-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.1-1+deb8) unstable; urgency=low

  * upstream 2.1.14 update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jan 2018 11:14:21 -0400

## hubzero-cms-2.1.0 2.1.14.2-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.2-1+deb7) unstable; urgency=low

  * upstream 2.1.14 update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 03 May 2018 10:30:33 -0400

hubzero-cms-2.1.0 (2.1.14.1-1) unstable; urgency=low

  * upstream 2.1.14 update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Jan 2018 11:14:21 -0400

## hubzero-cms-2.1.0 2.1.14.9-1+deb8

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.9-1+deb8) unstable; urgency=low

  * upstream 2.1.14.9 update 
  * fix bad migration class names

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 14:22:12 -0400

hubzero-cms-2.1.0 (2.1.14.8-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * expand hostname fields in middleware tables

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 13:59:48 -0400

hubzero-cms-2.1.0 (2.1.14.7-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * another migration mkdir permission fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 02 May 2018 14:45:21 -0400

hubzero-cms-2.1.0 (2.1.14.6-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * more migration mkdir permission fixes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 02 May 2018 14:20:32 -0400

hubzero-cms-2.1.0 (2.1.14.5-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * migration mkdir permission fixes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 02 May 2018 13:50:08 -0400

hubzero-cms-2.1.0 (2.1.14.4-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * fix mysql syntax introduced earleir

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Apr 2018 14:00:46 -0400

hubzero-cms-2.1.0 (2.1.14.3-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * conditionalize apache sapi calls

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Apr 2018 21:52:19 -0400

hubzero-cms-2.1.0 (2.1.14.2-1) unstable; urgency=low

  * upstream 2.1.14 update 
  * remove apache2 config files and dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 06 Jan 2018 13:38:04 -0400

## hubzero-cms-2.1.0 2.1.14.10-1+deb7

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.10-1+deb7) unstable; urgency=low

  * upstream 2.1.14.10 update 
  * fix email validation

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Jun 2018 13:35:21 -0400

hubzero-cms-2.1.0 (2.1.14.9-1) unstable; urgency=low

  * upstream 2.1.14.9 update 
  * fix bad migration class names

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 04 May 2018 14:22:12 -0400

## hubzero-cms-2.1.0 2.1.14.10-1+deb8

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	@true
 
 vendor:
-	(COMPOSER_VENDOR_DIR=$(PWD)/vendor cms/core/bin/composer --working-dir=cms/core install)
+	(COMPOSER_VENDOR_DIR=$(PWD)/vendor cms/core/bin/composer --ignore-platform-reqs --working-dir=cms/core install)
 
 cms:
 	(cd cms; git pull --ff-only)

=== debian/changelog ===
hubzero-cms-2.1.0 (2.1.14.10-1+deb8) unstable; urgency=low

  * upstream 2.1.14.10 update 
  * fix email validation

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Jun 2018 13:35:21 -0400

=== debian/control ===
Source: hubzero-cms-2.1.0
Section: web
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.0
Homepage: http://hubzero.org

Package: hubzero-cms-2.1.0
Architecture: all
Replaces: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Breaks: hubzero-cms-1.2, hubzero-cms, hubzero-cms-setup, hubzero-cms-joomla, hubzero-cms-joomla-installation
Depends: hubzero-cli (>=1.3.18),apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-cli,php5-mysql,php5-gd,php5-curl,exim4,mysql-client, unzip
Recommends: php5-stem, php5-oauth, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git, wkhtmltopdf, xvfb
Suggests: hubzero-mw-client (>=1.3.0)
Provides: hubzero-cms
Description: HUBzero Content Management System (CMS) 2.1.0
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not compatible with) the Joomla! CMS <joomla.org>.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms-2.1.0
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2
#
# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms-2.1.0 install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install
